[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.DoLine

Draws a line using the specified coordinates and Pen for the canvas.

## Declaration

Source position: lazcanvas.pas line 111

`protected procedure TLazCanvas.DoLine(`
`x1: Integer;`
`y1: Integer;`
`x2: Integer;`
`y2: Integer`
`); override;`

## Arguments

`x1` |  | Initial horizontal coordinate for the line.
`y1` |  | Initial vertical coordinate for the line.
`x2` |  | Terminal horizontal coordinate for the line.
`y2` |  | Terminal vertical coordinate for the line.